Bug 37154 - The string length of Windows and CSV import are not compatible.
The string length of Windows and CSV import are not compatible.
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - CSV Import
UCS@school 3.2 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.0 Errata
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on: 36450 37027
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-03 09:45 CET by Sönke Schwardt-Krummrich
Modified: 2015-02-27 15:19 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-12-03 09:45:16 CET
Fix this for UCS@school 4.0 too.

+++ This bug was initially created as a clone of Bug #36450 +++

The string length of Windows (max. 20) and CSV import (unlimited) are not compatible. The user name is not truncated after 20 characters .

A suggestion would be that a warning message is displayed with the following content.
'The user name contains more than 20 characters.'
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2015-02-12 17:22:44 CET
The CSV import module and the users wizard now check the length of usernames.
The username may not be longer than (20 - len(ucr get ucsschool/ldap/default/userprefix/exam)) characters.
Otherwise the CSV import module marks the cell in red. The users wizard shows an exclamation mark and a corresponding tooltip message.

The error messages also mention the maximum allowed username length, that is calculated depending on the UCR variable ucsschool/ldap/default/userprefix/exam.

By default, the UCR variable is empty and the prefix "exam-" is used.

ucs-school-umc-wizards (5.0.1-1) unstable; urgency=low

r58006 | Bug #37154: limit length of usernames to prevent windows logon errors

Changelog entry has been made in changelog-ucsschool-4.0v2.xml

Package has been rebuilt: ucs-school-umc-wizards_5.0.1-1.121.201502121638_all.deb
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2015-02-18 14:41:00 CET
As discussed with Stefan, the "error" message (red) should be rather a "warning" (yellow).
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2015-02-21 21:52:18 CET
r58324 | Bug #37154: fixed js code
r58323 | Bug #37154: fixed translation
r58322 | Bug #37154: fixed js code; fixed translation
r58316 | Bug #37154: added UCR variable to disable length limit of usernames
r58315 | Bug #37154: show warning if max length of usernames is exceeded to prevent problems with windows logons
r58020 | Bug #37154: updated changelog entry
r58018 | Bug #37154: added changelog entry
r58006 | Bug #37154: limit length of usernames to prevent windows logon errors
r57988 | Bug #37154: limit length of usernames to prevent problems with windows logins

The username length is now enforced within the "Students (Schools)" wizards.
By setting ucsschool/ldap/check/username/lengthlimit=false the limitation can be disabled.

ucs-school-umc-wizards (5.0.1-4) unstable; urgency=low
ucs-school-umc-csv-import (2.0.6-2) unstable; urgency=low
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2015-02-21 21:55:05 CET
Please test both modules. And also the 3 states of the new UCR variable (undefined, true, false).
Comment 5 Florian Best univentionstaff 2015-02-24 12:59:02 CET
OK
Comment 6 Sönke Schwardt-Krummrich univentionstaff 2015-02-27 15:19:43 CET
UCS@school 4.0 v2 has been released:
http://docs.univention.de/release-notes-ucsschool-4.0v2-de.html

If this error occurs again, please use "Clone This Bug".